summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author B.Ton <b.t.ton@student.utwente.nl>2010-05-11 14:05:53 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:05:53 +0200
commit0e0ee843a6de2cc3e96066cbb0e169707abce9c9 (patch)
treeb28d5b427749675798fcb8101692d938b97e78da /development
parenta1ee41f337e2fd182047b822c2ff4a4943b2417c (diff)
downloadslackbuilds-0e0ee843a6de2cc3e96066cbb0e169707abce9c9.tar.gz
slackbuilds-0e0ee843a6de2cc3e96066cbb0e169707abce9c9.tar.xz
development/tavrasm: Initial import
Diffstat (limited to 'development')
-rw-r--r--development/tavrasm/README13
-rw-r--r--development/tavrasm/slack-desc9
-rw-r--r--development/tavrasm/tavrasm.SlackBuild46
-rw-r--r--development/tavrasm/tavrasm.info8
4 files changed, 76 insertions, 0 deletions
diff --git a/development/tavrasm/README b/development/tavrasm/README
new file mode 100644
index 0000000000..c1e89aede9
--- /dev/null
+++ b/development/tavrasm/README
@@ -0,0 +1,13 @@
+tavrasm is an assembler for the Atmel AVR family of micro-controllers.
+It uses a syntax similar to the one found in the Atmel AVR DOS assembler.
+Some of the features includes:
+
+ - Super-set of Atmel AVR assembler.
+ - Macros in macros.
+ - Save Intel HEX, Motorola S-record, Generic and binary output.
+ - More than 100 warning/error messages.
+ - Atmel object files compatible with Atmel's AVR Studio.
+ - C escape characters in char/string literals.
+ - Runs on (win)DOS, Linux, OS/2, Solaris, ...
+ - Free software released under GPL.
+
diff --git a/development/tavrasm/slack-desc b/development/tavrasm/slack-desc
new file mode 100644
index 0000000000..74e3de1768
--- /dev/null
+++ b/development/tavrasm/slack-desc
@@ -0,0 +1,9 @@
+tavrasm: tavrasm (Toms Linux AVR Assembler)
+tavrasm:
+tavrasm: A assembler for the Atmel AVR series of micro-controllers. It uses a
+tavrasm: syntax similar to the one found in the Atmel AVR DOS assembler.
+tavrasm:
+tavrasm: http://www.tavrasm.org
+tavrasm:
+tavrasm:
+tavrasm:
diff --git a/development/tavrasm/tavrasm.SlackBuild b/development/tavrasm/tavrasm.SlackBuild
new file mode 100644
index 0000000000..5ac6737f55
--- /dev/null
+++ b/development/tavrasm/tavrasm.SlackBuild
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+# Slackware build script for tavrasm
+# Written by B.Ton <b.t.ton@student.utwente.nl>
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=tavrasm
+VERSION=122
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar -xzvf $CWD/$PRGNAM.tar.gz
+cd $PRGNAM.$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+cd src
+make
+install -D -m 0755 tavrasm $PKG/usr/bin/tavrasm
+strip --strip-unneeded $PKG/usr/bin/tavrasm
+cd ..
+
+# Install the man page included with the source
+install -D -m 0644 tavrasm.1 $PKG/usr/man/man1/tavrasm.1
+gzip -9 $PKG/usr/man/man1/tavrasm.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README gpl.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/tavrasm/tavrasm.info b/development/tavrasm/tavrasm.info
new file mode 100644
index 0000000000..4924f96c37
--- /dev/null
+++ b/development/tavrasm/tavrasm.info
@@ -0,0 +1,8 @@
+PRGNAM="tavrasm"
+VERSION="122"
+HOMEPAGE="http://www.tavrasm.org"
+DOWNLOAD="http://www.tavrasm.org/tavrasm.tar.gz"
+MD5SUM="db6dff5aedbfe98939a9a457d97a2f6a"
+MAINTAINER="B.Ton"
+EMAIL="b.t.ton@student.utwente.nl"
+APPROVED="robw810"